Passenger doesn't start with missing PassengerRoot setting under pl-apache 1.8.0 on EL
Pull request: https://github.com/puppetlabs/puppetlabs

-apache/pull/1345,
https://github.com/theforeman/foreman-i
nstaller/pull/164,
https://github.com/Katello/katello-installer
/pull/292,
Description
Passenger is failing to start on EL6/EL7 on nightly builds after the release of puppetlabs-apache 1.8.0.

httpd's error log says:

[Wed Jan 27 08:37:21.705232 2016] [passenger:error] [pid 5789] *** Passenger could not be initiali
zed because of this error: The 'PassengerRoot' configuration option is not specified. This option
is required, so please specify it. TIP: The correct value for this option w

as given to you by 'passenger-install-apache2-module’.

/etc/httpd/conf.modules.d/passenger.conf contains:
LoadModule passenger_module modules/mod_passenger.so

On previous releases it wasn't templated at all, allowing the default from the package to come through, which on our packages is
something like:

&1lt; IfModule mod_passenger.cé&gt;
PassengerRoot /usr/share/gems/gems/passenger—-4.0.18/1ib/phusion_passenger/locations.ini
PassengerRuby /usr/bin/ruby

&1lt; /IfModules&gt;

Associated revisions

Revision 207af51f - 01/30/2016 07:21 AM - Eric Helms
Refs #13405: Pin puppetlabs/apache module to 1.8.x

Current 1.8.x branch includes fix for passenger.conf that otherwise
leads to inability to reach web application on EL7.

Revision 22fa255a - 02/21/2016 11:50 AM - Michael Moll
Refs #13405: unpin puppetlabs/apache module again

This reverts commit 207af51faab25fe69f05456def6966bfaebceb37.

History

#1 - 01/27/2016 12:12 PM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

https://github.com/puppetlabs/puppetlabs-apache/commit/2a6085929cbalcadbe759ea4d514143dced11dac changed the module to manage
/etc/httpd/conf.modules.d/{passenger,passenger_extra}.conf rather than conf.d.

The mod_passenger package installs:

e /etc/httpd/conf.modules.d/passenger.conf with LoadModule
® /etc/httpd/conf.d/passenger.conf with PassengerRoot

The module used to reconfigure it to have:

e /etc/httpd/conf.modules.d/passenger.conf with LoadModule (I think probably unchanged)
¢ /etc/httpd/conf.d/passenger.conf with PassengerRoot (file {} resource but unchanged)

¢ /etc/httpd/conf.d/passenger_extra.conf with any apache::mod::passenger settings

e /etc/httpd/conf.d/zpassenger.load with LoadModule

It now configures:
¢ /etc/httpd/conf.modules.d/passenger.conf with LoadModule (probably now matched by the file {} resource)
¢ /etc/httpd/conf.modules.d/passenger_extra.conf with any apache::mod::passenger settings
e /etc/httpd/conf.modules.d/zpassenger.load with LoadModule
¢ /etc/httpd/conf.d/passenger.conf is purged
It probably should configure:
¢ /etc/httpd/conf.modules.d/passenger_extra.conf with any apache::mod::passenger settings

e /etc/httpd/conf.modules.d/zpassenger.load with LoadModule
e /etc/httpd/conf.d/passenger.conf with PassengerRoot (file {} resource but unchanged)

#2 - 01/28/2016 04:02 AM - Dominic Cleal
- Pull request https://github.com/puppetlabs/puppetlabs-apache/pull/1345 added

#3 - 01/30/2016 07:52 AM - Dominic Cleal
- Pull request https://github.com/theforeman/foreman-installer/pull/164 added

pl-apache PR merged, and foreman-installer set to the 1.8.x branch for now. It'll need pinning properly to a release (either 1.7.x or 1.8.1) for 1.11.0.

#4 - 01/30/2016 04:17 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/Katello/katello-installer/pull/292 added

#5 - 02/21/2016 11:52 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/166 added

#6 - 02/22/2016 03:20 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed

#7 - 02/22/2016 05:57 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello-installer/pull/299 added
